| Elektra 0.11.0

Public Attributes | List of all members
Opmphm Struct Reference

The opmphm. More...

`#include <kdbopmphm.h>`

## Public Attributes
int32_t * | hashFunctionSeeds
size_t | componentSize
uint32_t * | graph
size_t | size
opmphmflag_t | flags

## Detailed Description

The opmphm.

## Member Data Documentation

## ◆ componentSize

size_t Opmphm::componentSize

< number of components in the r-uniform r-partite hypergraph the number of vertices in one part of the r-uniform r-partite hypergraph

## ◆ flags

opmphmflag_t Opmphm::flags

internal flags

## ◆ graph

uint32_t* Opmphm::graph

array containing the final OPMPHM

## ◆ hashFunctionSeeds

int32_t* Opmphm::hashFunctionSeeds

arary with Opmphm->rUniPar seeds for the hash function calls

## ◆ size

size_t Opmphm::size

size of g in bytes

The documentation for this struct was generated from the following file:

- kdbopmphm.h